> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# tracks.dump.get

> Retrieve a list of the latest Musixmatch catalog feeds to download.

export const PlanIndicator = ({children, plan = []}) => {
  const plans = {
    basic: {
      label: 'Basic',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=basic_button'
    },
    scale: {
      label: 'Grow',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=grow_button'
    },
    scaleNew: {
      label: 'Scale',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=scale_button'
    },
    enterprise: {
      label: 'Enterprise',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=enterprise_button'
    }
  };
  const icon = <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="#131313" viewBox="0 0 24 24">
      <path fillRule="evenodd" d="M13.804 3.773a.75.75 0 0 1 .911.543l1.012 4a.75.75 0 0 1-.003.382l-3.013 11a.75.75 0 0 1-1.448-.006l-2.908-11a.75.75 0 0 1-.007-.358l.909-4a.75.75 0 1 1 1.463.332l-.868 3.82 2.149 8.128 2.224-8.122-.964-3.808a.75.75 0 0 1 .543-.911Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M3.29 8.5a.75.75 0 0 1 .75-.75h16a.75.75 0 1 1 0 1.5h-16a.75.75 0 0 1-.75-.75Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M5.24 3.9a1 1 0 0 1 .8-.4h12a1 1 0 0 1 .8.4l3 4a1 1 0 0 1-.026 1.233l-9 11a1 1 0 0 1-1.548 0l-9-11A1 1 0 0 1 2.24 7.9l3-4Zm1.3 1.6L4.31 8.473l7.73 9.448 7.73-9.448L17.54 5.5h-11Z" clipRule="evenodd" />
    </svg>;
  const selectedPlans = Array.isArray(plan) ? plan : [plan];
  if (selectedPlans.length === 1 && selectedPlans[0] === 'basic') return null;
  const href = selectedPlans.length === 1 ? plans[selectedPlans[0]]?.url : 'https://www.musixmatch.com/pro/api/pricing';
  return <>
      <style>{`
        .plan-indicator-no-border {
          border: none !important;
          border-bottom: none !important;
          text-decoration: none !important;
          transition: background-color 0.2s ease;
        }
        .plan-indicator-no-border:hover {
          text-decoration: none !important;
          background-color: #E8E8E8 !important;
        }
      `}</style>
      <a href={href} title="See all Musixmatch API plans" target="_blank" className="plan-indicator-no-border inline-flex items-center gap-1 text-gray-800 px-2 py-1 rounded-lg" style={{
    backgroundColor: '#F4F4F4',
    fontSize: '14px',
    color: '#131313'
  }}>
        {icon}
        {selectedPlans.map((planKey, index) => <span key={planKey}>
            {plans[planKey]?.label}
            {index < selectedPlans.length - 1 && ', '}
          </span>)}
        {children} plan
      </a>
    </>;
};

<PlanIndicator plan={["enterprise"]} />

The data returned comprises the download URLs for the catalog feeds starting from the latest full feed and therefore depends on the date when the request is made.
E.g., if the request is made on the day when the full feed was generated, then the response will contain only the link to the full feed. However, if it is made several days after, it will contain both the link to the full feed and the links to all the feeds with incremental updates generated since the last full feed.


## OpenAPI

````yaml get /ws/1.1/tracks.dump.get
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/tracks.dump.get:
    get:
      tags:
        - Enterprise
      summary: tracks.dump.get
      description: Retrieve a list of the latest Musixmatch catalog feeds to download.
      operationId: tracksDumpGet
      responses:
        '200':
          description: 200 OK / 401 Unauthorized
          headers:
            Accept-Ranges:
              schema:
                type: string
                example: bytes
            Age:
              schema:
                type: string
                example: '0'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '100'
            Date:
              schema:
                type: string
                example: Thu, 13 Mar 2025 12:34:39 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Via:
              schema:
                type: string
                example: 1.1 varnish
            X-Cache:
              schema:
                type: string
                example: MISS
            X-Cache-Hits:
              schema:
                type: string
                example: '0'
            X-Served-By:
              schema:
                type: string
                example: cache-iad-kjyo7100065-IAD
            X-Timer:
              schema:
                type: string
                example: S1741869280.603063,VS0,VE12
            x-mxm-cache:
              schema:
                type: string
                example: no-cache
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.0031619071960449'
            x-mxm-header-status:
              schema:
                type: string
                example: '401'
            x-mxm-nginx-ingress-controller:
              schema:
                type: string
                example: nginx-cdt-apisite-api
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        type: array
                        items:
                          type: object
                          properties:
                            created:
                              type: string
                              example: '2025-03-11T08:27:37Z'
                            download_url:
                              type: string
                              example: >-
                                https://mxm-cdn.s3.amazonaws.com/tp_export/feed/140...5/202503/tracks/20250311082737-1-full-tracks.txt.bz2?AWSAccessKeyId=AKIAI...NQ&Expires=174...9&Signature=ks...D
                            full:
                              type: boolean
                              example: true
                            id:
                              type: number
                              example: 35953
                        example:
                          - created: '2025-03-11T08:27:37Z'
                            download_url: >-
                              https://mxm-cdn.s3.amazonaws.com/tp_export/feed/140...5/202503/tracks/20250311082737-1-full-tracks.txt.bz2?AWSAccessKeyId=AKIAI...NQ&Expires=174...9&Signature=ks...D
                            full: true
                            id: 35953
                          - created: '2025-03-11T19:42:21Z'
                            download_url: >-
                              https://mxm-cdn.s3.amazonaws.com/tp_export/feed/140...5/202503/tracks/20250311194221-0-partial-tracks.txt.bz2?AWSAccessKeyId=AKIAI...NQ&Expires=174...9&Signature=vx...D
                            full: false
                            id: 35968
                          - created: '2025-03-12T19:42:48Z'
                            download_url: >-
                              https://mxm-cdn.s3.amazonaws.com/tp_export/feed/140...5/202503/tracks/20250312194248-0-partial-tracks.txt.bz2?AWSAccessKeyId=AKIAI...NQ&Expires=174...9&Signature=fs...D
                            full: false
                            id: 35983
                      header:
                        type: object
                        properties:
                          execute_time:
                            type: number
                            example: 0.61887097358704
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        - created: '2025-03-11T08:27:37Z'
                          download_url: >-
                            https://mxm-cdn.s3.amazonaws.com/tp_export/feed/140...5/202503/tracks/20250311082737-1-full-tracks.txt.bz2?AWSAccessKeyId=AKIAI...NQ&Expires=174...9&Signature=ks...D
                          full: true
                          id: 35953
                        - created: '2025-03-11T19:42:21Z'
                          download_url: >-
                            https://mxm-cdn.s3.amazonaws.com/tp_export/feed/140...5/202503/tracks/20250311194221-0-partial-tracks.txt.bz2?AWSAccessKeyId=AKIAI...NQ&Expires=174...9&Signature=vx...D
                          full: false
                          id: 35968
                        - created: '2025-03-12T19:42:48Z'
                          download_url: >-
                            https://mxm-cdn.s3.amazonaws.com/tp_export/feed/140...5/202503/tracks/20250312194248-0-partial-tracks.txt.bz2?AWSAccessKeyId=AKIAI...NQ&Expires=174...9&Signature=fs...D
                          full: false
                          id: 35983
                      header:
                        execute_time: 0.61887097358704
                        status_code: 200
                401 Unauthorized:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.0031619071960449
                        status_code: 401
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````